Login
Newsletter
Werbung

Sicherheit: Fehlerhafte Zugriffsrechte in sssd
Aktuelle Meldungen Distributionen
Name: Fehlerhafte Zugriffsrechte in sssd
ID: openSUSE-SU-2019:0051-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 42.3
Datum: Mo, 14. Januar 2019, 07:12
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-10852
Applikationen: SSSD

Originalnachricht

   openSUSE Security Update: Security update for sssd
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:0051-1
Rating: moderate
References: #1010700 #1072728 #1080156 #1087320 #1098377
#1101877 #1110299
Cross-References: CVE-2018-10852
Affected Products:
openSUSE Leap 42.3
______________________________________________________________________________

An update that solves one vulnerability and has 6 fixes is
now available.

Description:

This update for sssd provides the following fixes:

This security issue was fixed:

- CVE-2018-10852: Set stricter permissions on /var/lib/sss/pipes/sudo to
prevent the disclosure of sudo rules for arbitrary users (bsc#1098377)

These non-security issues were fixed:

- Fix a segmentation fault in sss_cache command. (bsc#1072728)
- Fix a failure in autofs initialisation sequence upon system boot.
(bsc#1010700)
- Fix race condition on boot between SSSD and autofs. (bsc#1010700)
- Fix a bug where file descriptors were not closed (bsc#1080156)
- Fix an issue where sssd logs were not rotated properly (bsc#1080156)
- Remove whitespaces from netgroup entries (bsc#1087320)
- Remove misleading log messages (bsc#1101877)
- exit() the forked process if exec()-ing a child process fails
(bsc#1110299)
- Do not schedule the machine renewal task if adcli is not executable
(bsc#1110299)

This update was imported from the SUSE:SLE-12-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 42.3:

zypper in -t patch openSUSE-2019-51=1



Package List:

- openSUSE Leap 42.3 (i586 x86_64):

libipa_hbac-devel-1.13.4-12.1
libipa_hbac0-1.13.4-12.1
libipa_hbac0-debuginfo-1.13.4-12.1
libsss_idmap-devel-1.13.4-12.1
libsss_idmap0-1.13.4-12.1
libsss_idmap0-debuginfo-1.13.4-12.1
libsss_nss_idmap-devel-1.13.4-12.1
libsss_nss_idmap0-1.13.4-12.1
libsss_nss_idmap0-debuginfo-1.13.4-12.1
libsss_sudo-1.13.4-12.1
libsss_sudo-debuginfo-1.13.4-12.1
python-ipa_hbac-1.13.4-12.1
python-ipa_hbac-debuginfo-1.13.4-12.1
python-sss_nss_idmap-1.13.4-12.1
python-sss_nss_idmap-debuginfo-1.13.4-12.1
python-sssd-config-1.13.4-12.1
python-sssd-config-debuginfo-1.13.4-12.1
sssd-1.13.4-12.1
sssd-ad-1.13.4-12.1
sssd-ad-debuginfo-1.13.4-12.1
sssd-debuginfo-1.13.4-12.1
sssd-debugsource-1.13.4-12.1
sssd-ipa-1.13.4-12.1
sssd-ipa-debuginfo-1.13.4-12.1
sssd-krb5-1.13.4-12.1
sssd-krb5-common-1.13.4-12.1
sssd-krb5-common-debuginfo-1.13.4-12.1
sssd-krb5-debuginfo-1.13.4-12.1
sssd-ldap-1.13.4-12.1
sssd-ldap-debuginfo-1.13.4-12.1
sssd-proxy-1.13.4-12.1
sssd-proxy-debuginfo-1.13.4-12.1
sssd-tools-1.13.4-12.1
sssd-tools-debuginfo-1.13.4-12.1

- openSUSE Leap 42.3 (x86_64):

sssd-32bit-1.13.4-12.1
sssd-debuginfo-32bit-1.13.4-12.1


References:

https://www.suse.com/security/cve/CVE-2018-10852.html
https://bugzilla.suse.com/1010700
https://bugzilla.suse.com/1072728
https://bugzilla.suse.com/1080156
https://bugzilla.suse.com/1087320
https://bugzilla.suse.com/1098377
https://bugzilla.suse.com/1101877
https://bugzilla.suse.com/1110299

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Unterstützer werden
Neue Nachrichten
Werbung